<!DOCTYPE html>
<html>

<head>
  <title>Taco Recipes</title>
  <link rel="stylesheet" type="text/css" href="/styles/main.css">
</head>

<body>
  <h1>Taco Town 🌮</h1>

  <form action="/recipe" method="POST" class="buttons">
    <button type="submit" value="chicken" name="choice">🍗</button>
    <button type="submit" value="beef" name="choice">🥩</button>
    <button type="submit" value="fish" name="choice">🐟</button>
  </form>
  <div id="recipeContainer" class="hidden">

    <!-- If no recipe yet, show: -->
    <h2>Pick your favourite taco ingredient 👆</h2>
    <!-- Else, show the recipe name e.g. <h2>Recipe name</h2>-->
    <% if (locals.taco) { %>
      <h3>Ingredients:</h3>
      <ul id="ingredientsList">
        <li><%= taco.ingredients.protein.name %>,<%= taco.ingredients.protein.preparation %></li>
        <li> <%= taco.ingredients.salsa.name  %> </li>
        <% for( let i = 0; i < taco.ingredients.toppings.length; i++ ) { %>
          <li><%= taco.ingredients.toppings[i].quantity %> of <%= taco.ingredients.toppings[i].name %></li>
        <% } %>
        
      </ul>
    <% } else { %>
    <h3>Ingredients:</h3>
    <ul id="ingredientsList">
      <li>Protein name, protein preparation</li>
      <li>Salsa name</li>
      <li>Every other topping</li>
    </ul>
    <% } %>


  </div>
</body>

</html>